> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a Wire Transfer



## OpenAPI

````yaml api-reference/openapi-payments.json GET /wire/{id}
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Payments
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /wire/{id}:
    get:
      tags:
        - Wire
      summary: Fetch a Wire Transfer
      parameters:
        - description: Unique identifier for object
          in: path
          name: id
          required: true
          schema:
            description: Unique identifier for object
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    account_id: acct_1234567890
                    amount: '10300.00'
                    counterparty_id: cp_0987654321
                    created_at: '2017-11-02T11:55:14Z'
                    error: null
                    id: wire_1029384756
                    imad:
                      parsed:
                        cycle_date: '20220719'
                        input_sequence_number: '999999'
                        input_source: ABCDEFG
                      unparsed: 20220719ABCDEFG999999
                    instructions: null
                    intermediary: null
                    omad:
                      parsed:
                        cycle_date: '20220719'
                        frb_application_id: FT01
                        output_date: '0102'
                        output_destination: MMQFMPTQ
                        output_sequence_number: '000106'
                        output_time: '1030'
                      unparsed: 20170102MMQFMPTQ00010601021030FT01
                    status: pending
                    uetr: 97ed4827-7b6f-4485-ad6c-2eb05c0e2a1c
                    updated_at: '2017-11-02T11:55:14Z'
                    userdata: null
              schema:
                properties:
                  account_id:
                    description: ID of the Account originating the transfer. Filterable.
                    type: string
                  amount:
                    description: Amount of money to transfer, with two decimal precision
                    pattern: ^-?[0-9]+[.][0-9][0-9]$
                    type: string
                  bankdata:
                    description: Optional arbitrary data the bank can attach to the object
                    type: object
                  chips_ssn:
                    description: Optional value for Chips SSN
                    type: string
                  counterparty_id:
                    description: >-
                      ID of the Counterparty receiving the transfer. Be sure
                      that the wire section of the Counterparty contains
                      non-null values. Filterable.
                    type: string
                  error:
                    description: Error message describing why a wire failed
                    type: string
                  fx_quote:
                    description: >-
                      Associated foreign exchange quote, if any. Only present
                      for wires at some bank partners.
                    properties:
                      base_currency:
                        description: Starting currency for the foreign exchange quote
                        type: string
                      rate:
                        format: float
                        type: number
                      status:
                        description: Status of the foreign exchange quote
                        type: string
                      target_currency:
                        description: Target currency for the foreign exchange quote
                        type: string
                    type: object
                  id:
                    description: Unique identifier for object
                    type: string
                  imad:
                    description: >-
                      Optional Input Message Accountability Data. An ID often
                      filled out by the banks, originating from fed processing
                    properties:
                      parsed:
                        description: Parsed IMAD sub-object
                        properties:
                          cycle_date:
                            description: Wire transfer date. YYYYMMDD
                            type: string
                          input_sequence_number:
                            description: A 6 digit number assigned for uniqueness
                            type: string
                          input_source:
                            description: >-
                              8 Alpha or Alpha-Numeric characters identifying
                              the source
                            type: string
                        type: object
                      unparsed:
                        description: >-
                          Input Message Accountability Data: a unique number
                          assigned to a wire transfer processed through the
                          Federal Reserve Bank’s FedwireService
                        type: string
                    type: object
                  instructions:
                    description: >-
                      Optional instructions for the recipient (maximum of 140
                      characters)
                    type: string
                  intermediary:
                    description: >-
                      Optional intermediary bank information. If the recipient's
                      bank is unable to receive a wire transfer, they will use
                      an intermediary bank to process the wire
                    properties:
                      address:
                        description: Physical address of the bank
                        properties:
                          city:
                            description: City (max 18 characters)
                            type: string
                          country:
                            description: Country (ISO 3166-1 alpha-2). Defaults to `US`
                            type: string
                          postal_code:
                            description: >-
                              Postal code (5-digit or 5+4 Zip Code for U.S.
                              addresses)
                            type: string
                          state:
                            description: >-
                              State (max 2 characters for US, max 3 characters
                              for other countries)
                            type: string
                          street_line_1:
                            description: First line of the address (max 35 characters)
                            type: string
                          street_line_2:
                            description: >-
                              Optional second line of the address (max 35
                              characters)
                            type: string
                        type: object
                      name:
                        description: Name of the bank (maximum of 35 characters)
                        type: string
                      routing_number:
                        description: >-
                          Valid 9-digit ABA routing transit number associated
                          with the bank
                        type: string
                    type: object
                  omad:
                    description: >-
                      Optional Output Message Accountability Data. An ID
                      originating from fed processing, similar structure to IMAD
                      but with more info
                    properties:
                      parsed:
                        description: Parsed OMAD sub-object
                        properties:
                          cycle_date:
                            description: Wire transfer date. YYYYMMDD
                            type: string
                          frb_application_id:
                            description: >-
                              Uniquely identifies the Fedwire Funds Service site
                              that processed the message (i.e., FT01, FT02 or
                              FT03)
                            type: string
                          output_date:
                            description: 4 digit MMDD. Paired with `output_time`
                            type: string
                          output_destination:
                            description: >-
                              8 Alpha or Alpha-Numeric characters identifying
                              the destination. Comparable to the IMAD
                              `input_source`
                            type: string
                          output_sequence_number:
                            description: >-
                              A 6 digit number assigned for uniqueness.
                              Comparable to IMAD `input_sequence_number`
                            type: string
                          output_time:
                            description: 4 digit HHmm. Paired with `output_date`
                            type: string
                        type: object
                      unparsed:
                        description: >-
                          Output Message Accountability Data: a unique number
                          assigned to a wire transfer processed through the
                          Federal Reserve Bank’s FedwireService
                        type: string
                    type: object
                  org_id:
                    description: >-
                      ID of the organization with which this object is
                      associated. Filterable.
                    type: string
                  purpose:
                    description: >-
                      Optional string identifying the reason for why these funds
                      are being transferred. For example Payroll, Tuition,
                      Travel, etc. Required if sending an international wire
                      (maximum of 35 characters, may be truncated to 16
                      characters for sending depending on bank)
                    type: string
                  status:
                    description: >-
                      One of `pending`, `canceled`, `error`, or `sent`.
                      Filterable.
                    type: string
                  target_currency_code:
                    description: >-
                      Currency code for the target currency of a foreign
                      exchange quote. Only present for wires at some bank
                      partners.
                    type: string
                  uetr:
                    description: >-
                      Optional Unique End-to-end Transaction Reference. A UUID
                      that identifies the wire end-to-end, originating from ISO
                      20022 processing
                    type: string
                  userdata:
                    description: Optional arbitrary data the user can attach to the object
                    type: object
          description: The wire
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````